body {
  font-family: var(--font-primary);
  background-color: var(--color-dark-bg);
  margin: 0;
}

/* Header Image */

.contact-header-section {
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
  background-image: url("../Content/images/content images/Contact Us.png");
  background-color: rgba(0, 0, 0, 0.5);
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  margin-top: 50px;
  width: 100%;
  height: 600px;
}

/* Adding a dark overlay */
.contact-header-section::before {
  content: "";
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  background-color: rgba(0, 0, 0, 0.5);
  z-index: 1;
}

.contact-header-section > div {
  position: relative;
  z-index: 2;
  color: white;
  text-align: center;
  padding: 20px;
}

.contact-header-section h2 {
  font-size: 40px;
}

.contact-info-section {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding-bottom: 50px;
  gap: 10px;
}

.contact-info-con {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  width: 100%;
  padding-top: 20px;
  padding-bottom: 20px;
  background: rgb(2, 0, 36);
  background: linear-gradient(
    90deg,
    rgba(2, 0, 36, 1) 0%,
    rgba(42, 115, 29, 1) 91%,
    rgba(41, 117, 28, 1) 100%
  );
}

.contact-info-section h2 {
  color: white;
  font-size: 40px;
}

.contact-info-section p {
  color: white;
  text-align: center;
  font-size: 25px;
}

.contact-info-section a {
  color: white;
  text-decoration: none;
}

/* Contact Form Section */

.contact-form-section {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  gap: 100px;
  padding-top: 50px;
  padding-bottom: 50px;
  background: rgb(2, 0, 36);
  background: linear-gradient(
    90deg,
    rgba(2, 0, 36, 1) 0%,
    rgba(42, 115, 29, 1) 91%,
    rgba(41, 117, 28, 1) 100%
  );
}

/* Contact Form Info */

.contact-form-info {
  display: flex;
  justify-content: center;
  align-items: flex-start;
  flex-direction: column;
  width: 100%;
  padding-left: 100px;
}

.contact-form-info h2 {
  color: white;
  font-size: 40px;
  margin-bottom: 0;
}

.contact-form-info p {
  color: white;
}

.contact-form-container {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 100%;
}

form {
  display: flex;
  flex-direction: column;
  gap: 20px;
}

form input {
  font-family: "Poppins", sans-serif;
  height: 40px;
}

form select {
  font-family: "Poppins", sans-serif;
  height: 40px;
}

form textarea {
  font-family: "Poppins", sans-serif;
}

form button {
  font-family: "Poppins", sans-serif;
  background-color: rgb(41, 117, 28);
  border-color: white;
  border-style: solid;
  padding-top: 10px;
  padding-bottom: 10px;
  color: white;
  cursor: pointer;
  border-radius: 8px;
}

form button:hover {
  background-color: white;
  border-color: rgb(41, 117, 28);
  color: rgb(41, 117, 28);
}

#feedbackModal {
  position: fixed;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.6);
  display: flex;
  justify-content: center;
  align-items: center;
}

#modalContent {
  background: white;
  padding: 20px;
  border-radius: 5px;
  position: relative;
  top: 200px;
}

.grecaptcha-badge {
  bottom: 230px !important;
}

/* Media Queries */

/* Mobile Portrait */
@media (max-width: 768px) and (orientation: portrait) {
  .contact-header-section {
    height: 400px;
  }

  .contact-header-section h2 {
    font-size: 30px;
  }

  .contact-info-section h2 {
    font-size: 30px;
  }

  .contact-info-section p {
    font-size: 18px;
    padding: 0 20px;
  }

  .contact-form-section {
    flex-direction: column;
    padding: 20px;
    gap: 50px;
  }

  .contact-form-info {
    padding-left: 20px;
    text-align: center;
  }

  .contact-form-info h2 {
    font-size: 24px;
  }

  .contact-form-info p {
    font-size: 18px;
  }

  .contact-form-container {
    width: 100%;
    padding: 0 20px;
  }

  form input,
  form select,
  form textarea,
  form button {
    width: 100%;
    font-size: 16px;
  }
}

/* Mobile Landscape */
@media (max-width: 846px) and (orientation: landscape) {
  .contact-header-section {
    height: 450px;
  }

  .contact-header-section h2 {
    font-size: 32px;
  }

  .contact-info-section h2 {
    font-size: 32px;
  }

  .contact-info-section p {
    font-size: 20px;
    padding: 0 20px;
  }

  .contact-form-section {
    flex-direction: column;
    padding: 25px;
    gap: 50px;
  }

  .contact-form-info {
    padding-left: 20px;
    text-align: center;
  }

  .contact-form-info h2 {
    font-size: 26px;
  }

  .contact-form-info p {
    font-size: 20px;
  }

  .contact-form-container {
    width: 100%;
    padding: 0 25px;
  }

  form input,
  form select,
  form textarea,
  form button {
    width: 100%;
    font-size: 18px;
  }
}

/* Tablet Portrait */
@media (min-width: 768px) and (max-width: 1366px) and (orientation: portrait) {
  .contact-header-section {
    height: 500px;
  }

  .contact-header-section h2 {
    font-size: 34px;
  }

  .contact-info-section h2 {
    font-size: 34px;
  }

  .contact-info-section p {
    font-size: 22px;
    padding: 0 30px;
  }

  .contact-form-section {
    flex-direction: column;
    padding: 30px;
    gap: 50px;
  }

  .contact-form-info {
    padding-left: 30px;
    text-align: center;
  }

  .contact-form-info h2 {
    font-size: 28px;
  }

  .contact-form-info p {
    font-size: 22px;
  }

  .contact-form-container {
    width: 100%;
    padding: 0 30px;
  }

  form input,
  form select,
  form textarea,
  form button {
    width: 100%;
    font-size: 20px;
  }
}

/* Tablet Landscape */
@media only screen and (min-width: 768px) and (max-width: 1366px) and (orientation: landscape) {
  .contact-header-section {
    height: 550px;
  }

  .contact-header-section h2 {
    font-size: 36px;
  }

  .contact-info-section h2 {
    font-size: 36px;
  }

  .contact-info-section p {
    font-size: 24px;
    padding: 0 40px;
  }

  .contact-form-section {
    flex-direction: column;
    padding: 40px;
    gap: 50px;
  }

  .contact-form-info {
    padding-left: 40px;
    text-align: center;
  }

  .contact-form-info h2 {
    font-size: 30px;
  }

  .contact-form-info p {
    font-size: 24px;
  }

  .contact-form-container {
    width: 100%;
    padding: 0 40px;
  }

  form input,
  form select,
  form textarea,
  form button {
    width: 100%;
    font-size: 22px;
  }
}
